@CHARSET "ISO-8859-1";

* {
	box-sizing: border-box;
}

html {
	margin: 0;
	padding: 0;
}

@font-face {
	font-family: titleFont;
	src: url(../fonts/AmateurDirty.ttf);
}

@font-face {
	font-family: standardFont;
	src: url(../fonts/AmateurNaked.ttf);
}

@font-face {
	font-family: captchaFont;
	src: url(../fonts/monofont.ttf);
}

h1{
	font-size: 3em;
	color: #EEA44F;
	margin: 0;
	padding: 0.67em 0.2em;
}

p {
	font-size: 1.1em;
}

body {
	margin: 0;
	padding: 0;
	font-family: Century Gothic, Arial, sans-serif;
    background: linear-gradient(#0D0E20, #0D0E20);
	color: #EEA44F;
}

.view-page{
	min-height: 100vh;
	border-bottom: 1px solid #EEA44F;
}

nav {
	height: 90px;
	border-bottom: 1px solid #EEA44F;
	text-align: right;
}

nav ul {
	list-style: none;
	font-size: 1.1em;
	margin: 0;
	padding: 0;
	padding-top: 25px;
}

nav ul li {
	padding-left: 17px;
	display: inline-block;
	padding: 5px 10px;
	margin: 0 20px;
	border: 1px solid #0D0E20;
}

nav ul li:hover {
	border: 1px solid #EEA44F;
	border-radius: 20px;
}

nav a {
	color: #EEA44F;
	text-decoration: none;
}

#nav-icon1 {
	display: none;
	width: 40px;
	height: 45px;
	position: absolute;
	right: 20px;
	top: 26px;
	-webkit-transform: rotate(0deg);
	-moz-transform: rotate(0deg);
	-o-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .5s ease-in-out;
	-moz-transition: .5s ease-in-out;
	-o-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
	cursor: pointer;
  }
  
  #nav-icon1 span {
	display: block;
	position: absolute;
	height: 5px;
	width: 100%;
	background: #EEA44F;
	border-radius: 9px;
	opacity: 1;
	left: 0;
	-webkit-transform: rotate(0deg);
	-moz-transform: rotate(0deg);
	-o-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .25s ease-in-out;
	-moz-transition: .25s ease-in-out;
	-o-transition: .25s ease-in-out;
	transition: .25s ease-in-out;
  }
  
  #nav-icon1 span:nth-child(1) {
	top: 0px;
  }
  
  #nav-icon1 span:nth-child(2) {
	top: 15px;
  }
  
  #nav-icon1 span:nth-child(3) {
	top: 30px;
  }
  
  #nav-icon1.open span:nth-child(1) {
	top: 18px;
	-webkit-transform: rotate(135deg);
	-moz-transform: rotate(135deg);
	-o-transform: rotate(135deg);
	transform: rotate(135deg);
  }
  
  #nav-icon1.open span:nth-child(2) {
	opacity: 0;
	left: -60px;
  }
  
#nav-icon1.open span:nth-child(3) {
	top: 18px;
	-webkit-transform: rotate(-135deg);
	-moz-transform: rotate(-135deg);
	-o-transform: rotate(-135deg);
	transform: rotate(-135deg);
}

.logo-screen{
	position: absolute;
	height: 100vh;
	width: 97vw;
	background-color: #0D0E20;
	animation: opacityOnMain 3s normal forwards;
}

.image-container{
	position:absolute;
	top: calc(50% - 284px);
	left: calc(50% - 284px);
	z-index: 20;
	animation: opacityOnContainer 3s normal forwards;
}

@keyframes opacityOnMain {
    0% {
        opacity: 1;
    }
	75% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes opacityOnContainer {
    0% {
        opacity: 0;
    }
    35% {
        opacity: 1;
    }
	75% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

#content {
	margin: 0 10%;
}

#home{
	display: grid;
	grid-template-rows: 1fr 2fr 212px 1fr;
	text-align: center;
}

.home-page-titleline{
	font-weight: lighter;
	font-size: 4em;
	margin: 0;
	padding: 0;
	font-family: titleFont, Arial, Helvetica, sans-serif;
}

.home-page-subtitle{
	font-weight: lighter;
	font-size: 2em;
	margin: 0;
	padding: 0;
	font-family: titleFont, Arial, Helvetica, sans-serif;
}


.balken div{
	height: 50px;
	padding: 0px;
	margin-top: 3px;
	margin-bottom: 3px;
}

.balken div:nth-child(1){
	background-color: #235E62;
	width: 390px;
	animation: moveFromLeft1 5000ms normal forwards;
}

.balken div:nth-child(2){
	background-color: #7A8158;
	width: 510px;
	animation: moveFromLeft2 5500ms normal forwards;
}

.balken div:nth-child(3){
	background-color: #EEA44F;
	width: 560px;
	animation: moveFromLeft3 6000ms normal forwards;
}

.balken div:nth-child(4){
	background-color: #EE733E;
	width: 580px;
	animation: moveFromLeft4 6500ms normal forwards;
}

@keyframes moveFromLeft1 {
    50% {
        margin-left: -800px;
    }
    100% {
        margin-left: calc(50% - 200px);
    }
}

@keyframes moveFromLeft2 {
    50% {
        margin-left: -800px;
    }
    100% {
		margin-left: calc(50% - 230px);
    }
}

@keyframes moveFromLeft3 {
    50% {
        margin-left: -800px;
    }
    100% {
		margin-left: calc(50% - 300px);
    }
}

@keyframes moveFromLeft4 {
    50% {
        margin-left: -800px;
    }
    100% {
		margin-left: calc(50% - 290px);
    }
}


.mountain-landscape-image{
	width: 90%;
	width: 600px;

	position: absolute;
	z-index: 5;
	bottom: 63px;
	left: calc(50% - 300px);
}


/*--------------------------------------------------------------------------------------------
Info
--------------------------------------------------------------------------------------------*/

#info-view{
	padding-top: 10%;
	font-size: 1.2em;
	text-align: center;
}

#info-view img{
	width: 15px;
}


/*--------------------------------------------------------------------------------------------
Registration
--------------------------------------------------------------------------------------------*/
.reg-container{
	display: grid;
	grid-template-columns: 1fr 3fr;
	grid-template-rows: 90vh;
	column-gap: 20px;

}

.reg-left{
	color: white;
	text-align: center;
}


.reg-right form{
	position: relative;
	top: calc(50% - 220px);
	display: grid;
	grid-template-columns: 280px 280px;
	column-gap: 20px;
	row-gap: 10px;
	margin: 0 auto;
}

.reg-input{
	max-width: 280px;
	height: 38px;
	border-radius: 0px;
	opacity: 0.8;
	background-color: white;
	border: 2px solid #EEA44F;
	transition: background-color 8000ms ease, border-color 6000ms ease;
	-webkit-transition: background-color 8000ms ease, border-color 6000ms ease;
    -moz-transition: background-color 8000ms ease, border-color 6000ms ease;
    -o-transition: background-color 8000ms ease, border-color 6000ms ease;
}

.reg-captcha{
	opacity: 1;
	transition: opacity 8000ms ease;
	-webkit-transition: opacity 8000ms ease 6000ms ease;
    -moz-transition: opacity 8000ms ease 6000ms ease;
    -o-transition: opacity 8000ms ease 6000ms ease;

}

.reg-captcha-label{
	color: #EEA44F;
	transition: color 8000ms ease;
	-webkit-transition: color 8000ms ease 6000ms ease;
    -moz-transition: color 8000ms ease 6000ms ease;
    -o-transition: color 8000ms ease 6000ms ease;
}

.hide-captcha{
	opacity: 0; !important;
}

input{
	font-size: 0.9em;
	color: #0D0E20;
	margin: 5px auto;
	width: 100%;
}

.reg-input::placeholder {
    font-weight: bold;
    opacity: 0.5;
    color: #0D0E20;
	margin-left: 8px;
}

.reg-button{
	width: 130px;
	height: 40px;
	border: 0px;
	font-weight: bold;

	background-color: #EEA44F;
	transition: background-color 1500ms ease;

}

.invisible{
	border-color: #0D0E20;
	background-color: #0D0E20;
	color: #0D0E20;
}

/*--------------------------------------------------------------------------------------------
Kontakt
--------------------------------------------------------------------------------------------*/

#contact{
	display: grid;
	grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
	text-align: center;
}

#contact h1{
	font-size: 3em;
}

#contact img{
	width: 280px;
}


/*--------------------------------------------------------------------------------------------
Validate Form
--------------------------------------------------------------------------------------------*/

.captcha-form{
	background-color: white;
}



/*--------------------------------------------------------------------------------------------
Footer
--------------------------------------------------------------------------------------------*/

.footer{
	text-align: center;
	font-size: 0.8em;
	font-weight: lighter;
}




@media screen and (max-width : 1200px) {
	.reg-container{
		grid-template-columns: 1fr;
		row-gap: 90px;
	}

	.reg-right{
		margin: auto;
		margin-top: -280px;
	}

	.background-fire-on{
		background: linear-gradient(#1d4456, #112630);
		opacity: 1;
		z-index: -2;
		-webkit-transition: all 1200ms linear;
		transition: all 1200ms linear;  
	}

	.fire-on{
		height: 110vh !important;
		display: none;
	}
}

@media screen and (max-width : 710px) {
	.reg-right form{
		grid-template-columns: 1fr 1fr;
	}

	.reg-right{
	}

	
}

@media screen and (max-width : 780px) {
	#home{
		grid-template-rows: 1fr 1fr 1fr 1fr;
	}

	.mountain-landscape-image{
		width: 90%;
		left: 5%;
	}

	.balken div:nth-child(1){
		width: 55%;
	}
	
	.balken div:nth-child(2){
		width: 72%;
	}
	
	.balken div:nth-child(3){
		width: 89%;
	}
	
	.balken div:nth-child(4){
		width: 84%;
	}

	@keyframes moveFromLeft1 {
		0% {
			margin-left: -800px;
		}
		100% {
			margin-left: 28%;
		}
	}
	
	@keyframes moveFromLeft2 {
		0% {
			margin-left: -800px;
		}
		100% {
			margin-left: 18%;
		}
	}
	
	@keyframes moveFromLeft3 {
		0% {
			margin-left: -800px;
		}
		100% {
			margin-left: 5%;
		}
	}
	
	@keyframes moveFromLeft4 {
		0% {
			margin-left: -800px;
		}
		100% {
			margin-left: 8%;
		}
	}
}

@media screen and (max-width : 580px) {
	
	#content {
		margin: 0 15px;
	}

	#nav-list{
		display:none;
	}

	nav {
		position: absolute;
		text-align: left;
		border: 0px;
		width: 80%;
	}
	
	nav ul {
		padding-top: 0;
		background-color: #0D0E20;
		border-bottom: 1px solid #EEA44F;

	}
	
	nav ul li {
		display: block;
		padding: 5px 10px;
		margin: 5px 20px;
		border: 2px solid #0D0E20;
		transition: padding-left 500ms ease;
	}

	nav ul li:hover {
		border: 2px solid #0D0E20;
		border-left: 2px solid #EEA44F;
		border-radius: 0;
		padding-left: 28px;
		transition: padding-left 500ms ease;
	}
	

	#nav-icon1{
		display: block;
	}

	.home-page-titleline{
		font-size: 3em;
	}
	
	.home-page-subtitle{
		font-size: 1.7em;
	}

	.balken div{
		height: 35px;
	}

	.mountain-landscape-image{
		bottom: 25%;
	}

	.reg-right form{
		display: block;
	}

	.reg-right form input{
		display:block;
		width: 100%;
	}

	.reg-button{
		width: 130px !important;
	}

	.reg-right{
		width: 100%;
	}
	
	.image-container img{
		width: 300px;
	}

	.image-container{
		top: calc(50% - 150px);
		left: calc(50% - 150px);
	}
}